# Generated by rust2rpm 24
%bcond_without check

%global crate ripgrep

Name:           rust-ripgrep
Version:        13.0.0
Release:        %{autorelease}_nc
Summary:        Line-oriented search tool

License:        Unlicense OR MIT
URL:            https://crates.io/crates/ripgrep
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          ripgrep-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unsupported SIMD feature
Patch:          ripgrep-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Ripgrep is a line-oriented search tool that recursively searches the
current directory for a regex pattern while respecting gitignore rules.
ripgrep has first class support on Windows, macOS and Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        BSD-3-Clause AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE-MIT
%license UNLICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc FAQ.md
%doc GUIDE.md
%doc README.md
%doc RELEASE-CHECKLIST.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*
%{bash_completions_dir}/rg.bash
%{fish_completions_dir}/rg.fish
%{zsh_completions_dir}/_rg

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
echo '/usr/bin/asciidoctor'

%build
%cargo_build -a
%cargo_license_summary -a
%{cargo_license -a} > LICENSE.dependencies

%install
%cargo_install -a
# install manpage
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/rg.1
# install shell completions
install -Dpm0644 -t %{buildroot}%{bash_completions_dir} \
  target/release/build/%{crate}-*/out/rg.bash
install -Dpm0644 -t %{buildroot}%{fish_completions_dir} \
  target/release/build/%{crate}-*/out/rg.fish
install -Dpm0644 -t %{buildroot}%{zsh_completions_dir} \
  complete/_rg

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
%autochangelog
